LinuxQMISDK: prefVoiceSO Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
prefVoiceSO Struct Reference

## Data Fields
BYTE | namID
BYTE | evrcCapability
WORD | homePageVoiceSO
WORD | homeOrigVoiceSO
WORD | roamOrigVoiceSO

## Detailed Description

This structure contains information about the Preferred Voice Service Options.

Parameters

  namID | Index of the NAM(Number Assignment Module) to be configured. Range 0 to 3. Some modems support only 1 or 2 NAMs. 0xFF,if not available.
  evrcCapability | EVRC capability. Values: 0x00 - Disable 0x01 - Enable 0xFF - Not Available
  homePageVoiceSO | Home page voice SO; most preferred CDMA SO to be requested from the network when receiving an incoming (MT) voice call within the home network. Values: 0x0000 - VOICE_SO_WILD - Any service option 0x0001 - VOICE_SO_IS_96A - IS-96A 0x0003 - VOICE_SO_EVRC - EVRC 0x0011 - VOICE_SO_13K_IS733 - 13K_IS733 0x0038 - VOICE_SO_SELECTABLE_MODE_VOCODER - Selectable mode vocoder 0x0044 - VOICE_SO_4GV_NARR0W_BAND - 4GV narrowband 0x0046 - VOICE_SO_4GV_WIDE_BAND - 4GV wideband 0x8000 - VOICE_SO_13K - 13K 0x8001 - VOICE_SO_IS_96 - IS-96 0x8023 - VOICE_SO_WVRC - WVRC 0xFFFF - Not Available
  homeOrigVoiceSO | Home origination voice SO; most preferred CDMA SO to be requested from the network when receiving an incoming (MT) voice call within the home network. Values: 0x0000 - VOICE_SO_WILD - Any service option 0x0001 - VOICE_SO_IS_96A - IS-96A 0x0003 - VOICE_SO_EVRC - EVRC 0x0011 - VOICE_SO_13K_IS733 - 13K_IS733 0x0038 - VOICE_SO_SELECTABLE_MODE_VOCODER - Selectable mode vocoder 0x0044 - VOICE_SO_4GV_NARR0W_BAND - 4GV narrowband 0x0046 - VOICE_SO_4GV_WIDE_BAND - 4GV wideband 0x8000 - VOICE_SO_13K - 13K 0x8001 - VOICE_SO_IS_96 - IS-96 0x8023 - VOICE_SO_WVRC - WVRC 0xFFFF - Not Available
  roamOrigVoiceSO | Roaming origination voice SO; most preferred CDMA SO to be requested from the network when receiving an incoming (MT) voice call within the home network. Values: 0x0000 - VOICE_SO_WILD - Any service option 0x0001 - VOICE_SO_IS_96A - IS-96A 0x0003 - VOICE_SO_EVRC - EVRC 0x0011 - VOICE_SO_13K_IS733 - 13K_IS733 0x0038 - VOICE_SO_SELECTABLE_MODE_VOCODER - Selectable mode vocoder 0x0044 - VOICE_SO_4GV_NARR0W_BAND - 4GV narrowband 0x0046 - VOICE_SO_4GV_WIDE_BAND - 4GV wideband 0x8000 - VOICE_SO_13K - 13K 0x8001 - VOICE_SO_IS_96 - IS-96 0x8023 - VOICE_SO_WVRC - WVRC 0xFFFF - Not Available

## Field Documentation

BYTE prefVoiceSO::evrcCapability

WORD prefVoiceSO::homeOrigVoiceSO

WORD prefVoiceSO::homePageVoiceSO

BYTE prefVoiceSO::namID

WORD prefVoiceSO::roamOrigVoiceSO